#!/bin/bash -e


# Install packages for Go
echo "================= Install packages for Go ==================="

yum -y update && yum install -y \
autoconf \
bison \
cmake \
scons \
binutils \
gcc \
bzr \
glibc-devel

# Install gvm
echo "================= Install gvm ==================="
curl -s -L https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer | bash

export CGO_ENABLED=0
#set the source path of gvm. $HOME points to '/root'
[[ -s "$HOME/.gvm/scripts/gvm" ]] && source $HOME/.gvm/scripts/gvm
export CGO_ENABLED=0

declare -a versions=( '1.11.11' '1.12.6' )
for version in "${versions[@]}"
  do
    echo "================= Install Go $version==================="
    export GOROOT_BOOTSTRAP=$GOROOT
    gvm install go$version --prefer-binary
    source /root/.gvm/scripts/gvm
    gvm use go$version
    go install -a std
    go get -u github.com/tools/godep
done
